uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Kl├╝gl <peter.klu...@averbis.com>
Subject Re: Eclipse update site building tools versions
Date Mon, 06 Feb 2017 14:40:32 GMT
Sorry for the delayed response, missed the mail.


<uima-maven-build-eclipse-home>C:/work/eclipse/luna_rcp_uima/eclipse</uima-maven-build-eclipse-home>
       
<eclipse-equinox-launcher>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar</eclipse-equinox-launcher>
       
<uima-eclipse-jar-processor>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.p2.jarprocessor_1.0.300.v20131211-1531.jar</uima-eclipse-jar-processor>


Am 03.02.2017 um 21:55 schrieb Marshall Schor:
> I think there's a good chance the reason the Eclipse update site broke with my
> latest upload of 3.0.0.alpha was due to version changes in building tools.
>
> The tool chain version is configured typically in your .m2/settings.xml file, on
> the lines that might look like the following
>
> <properties>
>   <!-- Kepler 4.3.2 level -->
>    
> <uima-maven-build-eclipse-home>C:/p/eclipse/432kepler</uima-maven-build-eclipse-home>

> <!-- eclipse432 kepler -->
>    
> <eclipse-equinox-launcher>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar</eclipse-equinox-launcher>
>    
> <uima-eclipse-jar-processor>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.p2.jarprocessor_1.0.300.v20130327-2119.jar</uima-eclipse-jar-processor>
>
>   <!-- Neon 4.6.2 level -->
>     <!--
> uima-maven-build-eclipse-home>C:/p/eclipse/461neon</uima-maven-build-eclipse-home-->

> <!-- eclipse462 neon.2 -->
>     <!--
> eclipse-equinox-launcher>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar</eclipse-equinox-launcher-->
>     <!--
> uima-eclipse-jar-processor>${uima-maven-build-eclipse-home}/plugins/org.eclipse.equinox.p2.jarprocessor_1.0.500.v20160504-1450.jar</uima-eclipse-jar-processor-->
>
> Peter and Jerry, can you say what levels you have for building the plugins you
> build?
>
> I'm trying to see if I can better understand the cause of the recent Eclipse
> plugin repository errors.
>
> -Marshall         


Mime
View raw message